#{extends 'common/frontend-admin.html' /}
#{set 'title'}
<h1>#{if action=="create"}Tambah User #{/if} #{else } Edit User#{/else}</h1>
#{/set}
<div class="container">
    <div class="row">
        <div class="col-sm-10">
        #{common.alert /}
            <div class="card">
                <div class="card-header">
                #{if action=="create"}Form Tambah User #{/if} #{else }Form Edit User#{/else}
                </div>
                <div class="card-body">
                    <form class="input-user" action="@{store()}" method="post">
                    #{authenticityToken /}
                        <input type="hidden" name="model.action" value="${action}">
                        <input type="hidden" name="model.isAdminKl" value="${isAdminKl}">
                        <input type="hidden" name="model.isAdminKonten" value="${isAdminKonten}">
                        <input type="hidden" name="model.id" value="${model?.id}">
                        <div class="form-group">
                            <label for="username" class="col-sm-2 control-label">Name</label>
                            <div class="col-sm-12 #{errorClass 'model.name'/}">
                                <input type="text" name="model.name" placeholder="Name" value="${model?.name}"
                                       class="form-control">
                                <span class="help-block">#{error 'model.name' /}</span>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="username" class="col-sm-2 control-label">E-Mail</label>
                            <div class="col-sm-12 #{errorClass 'model.email'/}">
                                <input type="text" name="model.email" placeholder="E-Mail" value="${model?.email}"
                                       class="form-control">
                                <span class="help-block">#{error 'model.email' /}</span>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="username" class="col-sm-2 control-label">Password</label>
                            <div class="col-sm-12 #{errorClass 'model.password'/}">
                                <div class="ui fluid icon input">
                                    <input type="password" name="model.password" placeholder=""
                                           class="form-control">
                                    <i class="password eye icon link slash"></i>
                                </div>
                                <span class="help-block">#{error 'model.password' /}</span>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="npwp" class="col-sm-6 control-label">No. Telepon/Handphone</label>
                            <div class="col-sm-12 #{errorClass 'model.phone'/}">
                                <input type="text" name="model.phone" class="form-control" value="${model?.phone}"
                                       placeholder="Phone Number">
                                <span class="help-block">#{error 'model.phone' /}</span>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="npwp" class="col-sm-2 control-label">NPWP</label>
                            <div class="col-sm-12 #{errorClass 'model.npwp'/}">
                                <input type="text" id="npwp" name="model.npwp" placeholder="__.___.___._-___.___"
                                       class="form-control" value="${model?.npwp}">
                                <span class="help-block">#{error 'model.npwp' /}</span>
                            </div>
                        </div>
                    #{if !isUser}
                        <div class="form-group">
                            <label for="role" class="col-sm-2 control-label">Role</label>
                            <div class="col-sm-12 #{errorClass 'model.roles'/}">
                                <select name="model.roles" class="form-control roles">
                                    <option value="">Choose User Role</option>
                                    #{list roles, as: 'role'}
                                        <option value="${role.id}" ${model?.containRole(role.id) ? 'selected' : ''} >${role.name}</option>
                                    #{/list}
                                </select>
                                <span class="help-block">#{error 'model.roles' /}</span>
                            </div>
                        </div>
                    #{/if}
                    #{else }
                        <input type="hidden" name="model.roles" class="form-control"
                               value="${model?.role?.role_id}">
                    #{/else}
                    #{include 'cms/parts/kldi-selection.html' /}
                        <div class="form-group">
                            <div class="row" style="justify-content:center;">
                                <button type="button" class="btn btn-success save-button"><i class="fa fa-save"></i>
                                    Simpan
                                </button> &nbsp;&nbsp;&nbsp;&nbsp;
                                <a href='@@{index()}' class="btn btn-warning"><i class="fa fa-arrow-circle-left"></i>
                                    Kembali
                                </a>
                            </div>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
#{set 'moreStyles'}
<link rel="stylesheet" type="text/css" href="@{'/public/assets/semantic/semantic.min.css'}">
<style>
    label {
        padding-left: 15px !important;
    }

    .select2-container {
        padding-left: 15px !important;
        padding-right: 15px !important;
    }

    .select2-container .select2-selection .select2-selection__arrow {
        right: 20px !important;
    }

    .help-block {
        padding-left: 15px !important;
    }
</style>
#{/set}
#{set 'moreScripts'}
<script type="text/javascript" src="@{'public/javascripts/jquery.maskedinput.min.js'}"></script>
<script type="text/javascript" src="@{'public/javascripts/jquery.validate.min.js'}"></script>
<script type="text/javascript">

    function showPassword(input) {
        $("input[name='" + input + "']").attr("type", "text");
    }

    function hidePassword(input) {
        $("input[name='" + input + "']").attr("type", "password");
    }

    $('i.password.eye.icon.link').click(function () {
        let slash = $(this).hasClass("slash");
        if (slash) {
            $(this).removeClass("slash");
            showPassword("model.password");
        } else {
            $(this).addClass("slash");
            hidePassword("model.password");
        }
    });

    $(document).ready(function () {
        $("#npwp").mask("99.999.999.9-999.999")
        let action = $('input[name="model.action"]').val();
        let isAdminKl = $('input[name="model.isAdminKl"]').val();
        let isAdminKonten = $('input[name="model.isAdminKonten"]').val();
        if (action === "create") {
            $('.klpd').hide();
        } else {
            if (isAdminKl == "true" || isAdminKonten == "true") {
                $('.klpd').show();
            } else {
                $('.klpd').hide();
            }
        }
        let userData = {
            rules: {
                'model.name': 'required',
                'model.email': {required: true, email: true},
                'model.password': {required: (action === 'create')},
                'model.phone': 'required',
                'model.npwp': 'required',
                'model.roles': 'required',
                "model.kldiId": {
                    required: {
                        depends: function (element) {
                            var selected = $("select.roles").children("option:selected").val();
                            if (selected == "2" || selected == "3") {
                                return true;
                            } else {
                                return false;
                            }
                        }
                    }
                }
            },
            messages: {
                'model.name': 'Nama belum diisi!',
                'model.email': {required: 'Email belum diisi!', email: 'Format email tidak tepat!'},
                'model.password': 'Password belum diisi!',
                'model.phone': 'No. Telp belum diisi!',
                'model.npwp': 'NPWP belum diisi!',
                'model.roles': 'Role belum diisi!',
                "model.kldiId": "Daftar K/L/P/D belum dipilih"
            }
        }
        $("select.roles").change(function () {
            var selectedRole = $(this).children("option:selected").val();
            if (selectedRole == "2" || selectedRole == "3") {
                $('.klpd').show();
            } else {
                $('.klpd').hide();
                $(".kldi-select").val(null).trigger("change");
            }
        });

        $('.input-user').validate({
            ignore: [],
            rules: userData.rules,
            messages: userData.messages,
            errorElement: 'span',
            errorClass: 'help-block',
            focusInvalid: false,
            errorPlacement: function (error, element) {
                var elem = $(element);
                if (elem.hasClass("kldi-select")) {
                    element = $("span.select2.select2-container");
                    element2 = $("span.select2-selection.select2-selection--single");
                    error.insertAfter(element);
                    element2.addClass('has-error');
                } else {
                    error.insertAfter(element);
                }
            },
            highlight: function (element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            success: function (label, element) {
                label.closest('.form-group').removeClass('has-error');
                label.remove();
                var elem = $(element);
                if (elem.hasClass("select2-hidden-accessible")) {
                    element2 = $("#select2-" + elem.attr("id") + "-container").parent();
                    element2.removeClass('has-error');
                }
            },
        });

        $('.save-button').click(function (e) {
            e.preventDefault();
            if (!$('.input-user').valid()) {
                return
            }
            $('.input-user').submit()
        });
    });
</script>
#{/set}